## org.apache.lucene.analysis.ru
Class RussianAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.ru.RussianAnalyzer

    public final class RussianAnalyzer

extends Analyzer

Analyzer for Russian language. Supports an external list of stopwords (words that will not be indexed at all). A default set of stopwords is used unless an alternative list is specified.

Version:
  $Id: RussianAnalyzer.java 564236 2007-08-09 15:21:19Z gsingers $

Constructor Summary
`RussianAnalyzer()`
`RussianAnalyzer(char[] charset)` Builds an analyzer.
`RussianAnalyzer(char[] charset, Hashtable stopwords)` Builds an analyzer with the given stop words.
`RussianAnalyzer(char[] charset, String[] stopwords)` Builds an analyzer with the given stop words.

Method Summary
`TokenStream` `tokenStream(String fieldName, Reader reader)` Creates a TokenStream which tokenizes all the text in the provided Reader.

Methods inherited from class org.apache.lucene.analysis.Analyzer
`getPositionIncrementGap, getPreviousTokenStream, reusableTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RussianAnalyzer

    public RussianAnalyzer()

### RussianAnalyzer

    public RussianAnalyzer(char[] charset)

  Builds an analyzer.

### RussianAnalyzer

    public RussianAnalyzer(char[] charset,
                           String[] stopwords)

  Builds an analyzer with the given stop words.

### RussianAnalyzer

    public RussianAnalyzer(char[] charset,
                           Hashtable stopwords)

  Builds an analyzer with the given stop words.

  To Do:
    create a Set version of this ctor

Method Detail

### tokenStream

    public TokenStream tokenStream(String fieldName,
                                   Reader reader)

  Creates a TokenStream which tokenizes all the text in the provided Reader.

  Specified by:
    `tokenStream` in class `Analyzer`
  Returns:
    A TokenStream build from a RussianLetterTokenizer filtered with RussianLowerCaseFilter, StopFilter, and RussianStemFilter

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.